
Base Distribution - Feature # 32772

Status: Resolved Priority: Should have
Author: Rens Admiraal Category:
Created: 2011-12-22 Assigned To: Rens Admiraal
Updated: 2011-12-23 Due date:
Subject: Create localStorage API
Description

localStorage only supports storage of string values. This becomes an issue when we have complex fields storing arrays and objects.
All those fields have to stringify / decode values themselves. We can work around this with a layer above the localStorage
automatically converting the values.

Associated revisions
Revision 2884ae8c - 2011-12-23 17:29 - Rens Admiraal

[FEATURE] Add localStorage API

Change-Id: Ic051af8130a8a68f0001ad85578011abbd666fb5
Resolves: #32772

History
#1 - 2011-12-22 09:08 - Rens Admiraal
- Status changed from New to Accepted

#2 - 2011-12-22 09:10 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7478

#3 - 2011-12-22 12:38 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7478

#4 - 2011-12-23 17:29 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7478

#5 - 2011-12-23 17:33 - Rens Admiraal
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2884ae8cee368f7d0770553b60457fd2e1e764f6.
